<div *appLoginLogout="!isLogin" class="bg-gradient-to-r from-purple-500 to-pink-500 w-full h-screen">
    <div class="absolute top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2 ">
        <div class="font-mono font-semibold text-xl text-white">
            Welcome to New Angular Homework! <br>
            Please log in to see the content inside.
        </div>
        <a (click)="isLogin = !isLogin"
            class="ml-36 relative cursor-pointer font-mono inline-flex items-center justify-center p-4 px-5 py-1 mt-4 overflow-hidden font-medium text-indigo-600 rounded-lg shadow-2xl group">
            <span
                class="absolute top-0 left-0 w-40 h-40 -mt-10 -ml-3 transition-all duration-700 bg-red-500 rounded-full blur-md ease"></span>
            <span class="absolute inset-0 w-full h-full transition duration-700 group-hover:rotate-180 ease">
                <span class="absolute bottom-0 left-0 w-24 h-24 -ml-10 bg-purple-500 rounded-full blur-md"></span>
                <span class="absolute bottom-0 right-0 w-24 h-24 -mr-10 bg-pink-500 rounded-full blur-md"></span>
            </span>
            <span class="relative text-white">login</span>
        </a>
    </div>
</div>
<app-main *appLoginLogout="isLogin">
    <a *appLoginLogout="isLogin" (click)="isLogin = !isLogin"
        class="cursor-pointer font-mono relative inline-flex items-center justify-center p-4 px-5 py-1 mt-4 overflow-hidden font-medium text-indigo-600 rounded-lg shadow-2xl group">
        <span
            class="absolute top-0 left-0 w-40 h-40 -mt-10 -ml-3 transition-all duration-700 bg-red-500 rounded-full blur-md ease"></span>
        <span class="absolute inset-0 w-full h-full transition duration-700 group-hover:rotate-180 ease">
            <span class="absolute bottom-0 left-0 w-24 h-24 -ml-10 bg-purple-500 rounded-full blur-md"></span>
            <span class="absolute bottom-0 right-0 w-24 h-24 -mr-10 bg-pink-500 rounded-full blur-md"></span>
        </span>
        <span class="relative text-white">logout</span>
    </a>
</app-main>